import { Metadata } from "next";

export const metadata: Metadata = {
  title: "Rapid App with NextJS App-Router",
  description:
    "Rapid App with NextJS App Router (React TypeScript + Rust Api Routes)",
};

export default function Layout({
  // Layouts must accept a children prop.
  // This will be populated with nested layouts or pages
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang="en">
      <body>{children}</body>
    </html>
  );
}
