use rapid_web::actix::HttpResponse;
use rapid_web::rapid_web_codegen::rapid_handler;

pub const ROUTE_KEY: &str = "echo";
pub type RapidOutput = String;

#[rapid_handler]
pub async fn post(body: String) -> HttpResponse {
    println!("Body: {}", body);
    HttpResponse::Ok().body(body)
}
